Subject: bug#49029: closed (Re: bug#49029: ungoogled-chromium failed to disable malware extension The Great Suspender)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Jan 2022 18:10:03 +0000

Your bug report

#49029: ungoogled-chromium failed to disable malware extension The Great Suspender

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49029: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49029
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49029: ungoogled-chromium failed to disable malware extension The Great Suspender
From: Maxim Cournoyer <[email-masked]>
To: Jorge P. de Morais Neto <[email-masked]>
Cc: Leo Famulari <[email-masked]>, [email-masked], Marius Bakke <[email-masked]>
Date: Fri, 07 Jan 2022 13:09:47 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Jorge,

Jorge P. de Morais Neto <[email-masked]> writes:

> Hi,
>
> Em [2022-01-06 qui 08:46:43-0500], Maxim Cournoyer escreveu:
>
>> You could find one of the project maintainers email address in the git
>> history of the project and send them a private email with your
>> suggestion.
>
> I have just emailed Eloston.  I will inform here if he replies.

Thank you for doing so.  I'll close this on Guix side, as the discussion
has now moved to upstream, but feel free to reply with their response
(if any) here, for the record!

Thank you,

Maxim

Subject: ungoogled-chromium failed to disable malware extension The Great Suspender
From: "Jorge P. de Morais Neto" <[email-masked]>
To: [email-masked]
Date: Mon, 14 Jun 2021 18:29:03 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.  I use Guix atop Debian¹ testing (currently bullseye).

I normally browse the web on GNU IceCat and sometimes Firefox and
Emacs EWW.  I only use (ungoogled-)chromium for the rare websites that
don't work on the other browsers.  Long ago I installed in Chromium the
extension The Great Suspender, and only today (months after G$$gle
Chrome, according to news articles) did my Chromium disable it for
having malware.  And the only Chromium that did that for me was
Debian's.

So, I hypothesize that the ungoogling process has disabled Chromium's
ability to automatically disable malware extensions.  If true, that is a
serious defect of ungoogled-chromium and Guix should make sure that
users at least know about it.  There could be a warning in the Guix
package description *and* on the browser's start page.

Thank you for your work on GNU!

Regards

¹ When I find the time I intend to migrate to PureOS for superior libre
software ethics.

-- 
- https://stallmansupport.org "In Support of Richard Stallman"
- If an email of mine arrives at your spam box, please notify me.
- Please adopt free/libre formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
- Free/libre software for Replicant, LineageOS and Android: https://f-droid.org
- [[https://www.gnu.org/philosophy/free-sw.html][What is free software?]]